using System;

namespace Kvalifikacije
{
    class Program
    {
        static void Main(string[] args)
        {
            string pomoc1 = Console.ReadLine();
            char c1 = pomoc1[0];
            char c2 = pomoc1[1];
            string [] pomoc2 = Console.ReadLine().Split();
            int a1 = int.Parse(pomoc2[0]);
            int a2 = int.Parse(pomoc2[1]);
            pomoc1 = "";
            if(a1 < a2)
            {
                int pomoc = a1;
                a1 = a2;
                a2 = pomoc;
                char pomoc3 = c1;
                c1 = c2;
                c2 = pomoc3;
            }
            if(a1 - a2 > 1)
                Console.WriteLine("nemoguce");
            else
            {
                if (a1 > a2)
                {
                    pomoc1 += c1;
                }
                for (int i = 0; i < a1; i++)
                {
                    pomoc1 += c2; pomoc1 += c1;
                }
            }
            Console.WriteLine(pomoc1);
        }
    }
}